Listar coleções
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/catalog/collections \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/catalog/collections"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/catalog/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"parent_id": 123,
"active": true,
"show_banners": true,
"featured": true,
"is_promotional": true,
"name": "<string>",
"visible_products": 123,
"home": true,
"expired": true,
"slug": "<string>",
"description": "<string>",
"seo_title": "<string>",
"seo_keywords": "<string>",
"seo_description": "<string>",
"path": "<string>",
"expire_in": "<string>",
"total_products": 123
}
],
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}Coleções
Listar coleções
Lista todas as coleções. Use o parâmetro onlyParents=true para listar apenas as coleções pai
GET
/
{alias}
/
catalog
/
collections
Listar coleções
Path Parameters
Alias da loja
Query Parameters
Recursos adicionais a serem incluídos na resposta Pode incluir 'products' e/ou 'banners'
Available options:
products, banners Example:
"products"
Filtra apenas coleções pai
Was this page helpful?
⌘I